/**Begin D:\PDM_UPGRADE\pdm_new\BOS_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PERM_LOG_DIFF_ROLEADMGR')
CREATE TABLE T_PERM_LOG_DIFF_ROLEADMGR (
FID BIGINT DEFAULT 0 NOT NULL,
FPERM_LOGID BIGINT DEFAULT 0 NOT NULL,
FROLE_ID VARCHAR(18) DEFAULT ' ' NOT NULL,
FROLE_NUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
FROLE_NAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FADMINGROUP_ID BIGINT DEFAULT 0 NOT NULL,
FADMINGROUP_NUM NVARCHAR(80) DEFAULT ' ' NOT NULL,
FADMINGROUP_NAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FMODIFIABLE CHAR(1) DEFAULT '0' NOT NULL,
FMODIFIABLE_DESC NVARCHAR(20) DEFAULT ' ' NOT NULL,
FOP_DESC NVARCHAR(300) DEFAULT ' ' NOT NULL,
FCREATE_TIME DATETIME,
FDATACHANGE_TYPE INT DEFAULT 0 NOT NULL,
FDATACHANGE_TYPE_DESC NVARCHAR(20) DEFAULT ' ' NOT NULL
);



/**End D:\PDM_UPGRADE\pdm_new\BOS_table.sql **/
